- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ucs_uuid_pool – Configures server UUID pools on Cisco UCS Manager

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- Configures server UUID pools and UUID blocks on Cisco UCS Manager.
- Examples can be used with the UCS Platform Emulator.

## Requirements

The below requirements are needed on the host that executes this module.

- ucsmsdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description - |  | The user-defined description of the UUID pool. Enter up to 256 characters. You can use any characters or spaces except the following: ` (accent mark), (backslash), ^ (carat), " (double quote), = (equal sign), > (greater than), < (less than), or ' (single quote). aliases: descr
first_uuid - |  | The first UUID in the block of UUIDs. This is the From field in the UCS Manager UUID Blocks menu.
hostname string / required |  | IP address or hostname of Cisco UCS Manager.
last_uuid - |  | The last UUID in the block of UUIDs. This is the To field in the UCS Manager Add UUID Blocks menu.
name - / required |  | The name of the UUID pool. This name can be between 1 and 32 alphanumeric characters. You cannot use spaces or any special characters other than - (hyphen), "_" (underscore), : (colon), and . (period). You cannot change this name after the UUID pool is created.
order - | Choices: default ← sequential | The Assignment Order field. This can be one of the following: default - Cisco UCS Manager selects a random identity from the pool. sequential - Cisco UCS Manager selects the lowest available identity from the pool.
org_dn - | Default: "org-root" | The distinguished name (dn) of the organization where the resource is assigned.
password string / required |  | Password for Cisco UCS Manager authentication.
port integer |  | Port number to be used during connection (by default uses 443 for https and 80 for http connection).
prefix - |  | UUID prefix used for the range of server UUIDs. If no value is provided, the system derived prefix will be used (equivalent to selecting 'derived' option in UI). If the user provides a value, the user provided prefix will be used (equivalent to selecting 'other' option in UI). A user provided value should be in the format XXXXXXXX-XXXX-XXXX.
proxy string |  | If use_proxy is no, specfies proxy to be used for connection. e.g. 'http://proxy.xy.z:8080'
state - | Choices: present ← absent | If `present`, will verify UUID pool is present and will create if needed. If `absent`, will verify UUID pool is absent and will delete if needed.
use_proxy boolean | Choices: no yes ← | If `no`, will not use the proxy as defined by system environment variable.
use_ssl boolean | Choices: no yes ← | If `no`, an HTTP connection will be used instead of the default HTTPS connection.
username string | Default: "admin" | Username for Cisco UCS Manager authentication.

## Examples

    - name: Configure UUID address pool
      ucs_uuid_pool:
        hostname: 172.16.143.150
        username: admin
        password: password
        name: UUID-Pool
        order: sequential
        first_uuid: 0000-000000000001
        last_uuid: 0000-000000000078

    - name: Remove UUID address pool
      ucs_uuid_pool:
        hostname: 172.16.143.150
        username: admin
        password: password
        name: UUID-Pool
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- David Soper (@dsoper2)
- CiscoUcs (@CiscoUcs)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.